> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Connected Apps

> Search for Connected Apps.



## OpenAPI

````yaml POST /v1/connected_apps/clients/search
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/connected_apps/clients/search:
    post:
      tags:
        - Connected Apps
      summary: Search
      description: >-
        Search for Connected Apps. Supports cursor-based pagination. Specific
        filters coming soon.
      operationId: api_connectedapps_v1_connected_apps_clients_Search
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/api_connectedapps_v1_connected_apps_clients_SearchRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api_connectedapps_v1_connected_apps_clients_SearchResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // POST /v1/connected_apps/clients/search
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              limit: 10,
            };

            client.ConnectedApp.Clients.Search(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// POST /v1/connected_apps/clients/search\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/connectedapps/clients\"\n)\n\nfunc main() {\n\tclient, err := b2bstytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &clients.SearchParams{\n\t\tLimit: 10,\n\t}\n\n\tresp, err := client.ConnectedApp.Clients.Search(context.Background(), params)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: >-
            // POST /v1/connected_apps/clients/search

            package com.example;


            import com.stytch.java.b2b.StytchB2BClient;

            import com.stytch.java.common.StytchResult;

            import
            com.stytch.java.consumer.models.connectedappsclients.SearchRequest;


            public class Main {
                public static void main(String[] args) {
                    StytchB2BClient.configure("${projectId}", "${secret}");

                    SearchRequest params = new SearchRequest();
                    params.setLimit(10);

                    Object result = StytchB2BClient.getConnectedApp().getClients().search(params);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: >
            // POST /v1/connected_apps/clients/search

            package com.example


            import com.stytch.java.b2b.StytchB2BClient

            import
            com.stytch.java.consumer.models.connectedappsclients.SearchRequest


            fun main() {
                StytchB2BClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchB2BClient.connectedApp.clients.search(
                            SearchRequest(
                                limit = 10,
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // POST /v1/connected_apps/clients/search
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              limit: 10,
            };

            client.connectedApp.clients.search(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->connected_app->clients->search([
                'limit' => 10,
            ]);
        - lang: python
          label: Python
          source: |
            # POST /v1/connected_apps/clients/search
            from stytch import B2BClient

            client = B2BClient(
                project_id="${projectId}",
                secret="${secret}",
            )

            resp = client.connected_app.clients.search(
                limit=10,
            )

            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # POST /v1/connected_apps/clients/search
            require 'stytch'

            client = StytchB2B::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.connected_app.clients.search(
              limit: 10
              
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // POST /v1/connected_apps/clients/search
            use stytch::b2b::client::Client;
            use stytch::consumer::connected_apps_clients::SearchRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.connected_app.clients.search(
                    SearchRequest{
                        limit: 10,
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # POST /v1/connected_apps/clients/search
            curl --request POST \
              --url https://test.stytch.com/v1/connected_apps/clients/search \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              -d '{
                "limit": 10
              }'
components:
  schemas:
    api_connectedapps_v1_connected_apps_clients_SearchRequest:
      type: object
      properties:
        cursor:
          type: string
          description: >-
            The `cursor` field allows you to paginate through your results. Each
            result array is limited to 1000 results. If your query returns more
            than 1000 results, you will need to paginate the responses using the
            `cursor`. If you receive a response that includes a non-null
            `next_cursor` in the `results_metadata` object, repeat the search
            call with the `next_cursor` value set to the `cursor` field to
            retrieve the next page of results. Continue to make search calls
            until the `next_cursor` in the response is null.
        limit:
          type: integer
          format: int32
          minimum: 0
          description: >-
            The number of search results to return per page. The default limit
            is 100. A maximum of 1000 results can be returned by a single search
            request. If the total size of your result set is greater than one
            page size, you must paginate the response. See the `cursor` field.
      description: Request type
    api_connectedapps_v1_connected_apps_clients_SearchResponse:
      type: object
      properties:
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        connected_apps:
          type: array
          items:
            $ref: '#/components/schemas/api_connectedapps_v1_ConnectedApp'
        results_metadata:
          $ref: '#/components/schemas/api_connectedapps_v1_ResultsMetadata'
          description: >-
            The search `results_metadata` object contains metadata relevant to
            your specific query like total and `next_cursor`.
        status_code:
          type: integer
          format: int32
          description: >-
            The HTTP status code of the response. Stytch follows standard HTTP
            response status code patterns, e.g. 2XX values equate to success,
            3XX values are redirects, 4XX are client errors, and 5XX are server
            errors.
      required:
        - request_id
        - connected_apps
        - results_metadata
        - status_code
    api_connectedapps_v1_ConnectedApp:
      type: object
      properties:
        client_id:
          type: string
          description: The ID of the Connected App client.
        client_name:
          type: string
          description: A human-readable name for the client.
        client_description:
          type: string
          description: A human-readable description for the client.
        status:
          type: string
        full_access_allowed:
          type: boolean
          description: >-
            Valid for first party clients only. If `true`, an authorization
            token granted to this Client can be exchanged for a full Stytch
            session.
        client_type:
          type: string
          description: >-
            The type of Connected App. Supported values are `first_party`,
            `first_party_public`, `third_party`, and `third_party_public`.
        redirect_urls:
          type: array
          items:
            type: string
          description: Array of redirect URI values for use in OAuth Authorization flows.
        access_token_expiry_minutes:
          type: integer
          format: int32
        access_token_template_content:
          type: string
        post_logout_redirect_urls:
          type: array
          items:
            type: string
          description: Array of redirect URI values for use in OIDC Logout flows.
        bypass_consent_for_offline_access:
          type: boolean
          description: >-
            Valid for first party clients only. If true, the client does not
            need to request explicit user consent for the `offline_access`
            scope.
        creation_method:
          type: string
        id_token_template_content:
          type: string
        client_secret_last_four:
          type: string
          description: The last four characters of the client secret.
        next_client_secret_last_four:
          type: string
          description: >-
            The last four characters of the `next_client_secret`. Null if no
            `next_client_secret` exists.
        access_token_custom_audience:
          type: string
        logo_url:
          type: string
          description: The logo URL of the Connected App, if any.
        client_id_metadata_url:
          type: string
      required:
        - client_id
        - client_name
        - client_description
        - status
        - full_access_allowed
        - client_type
        - redirect_urls
        - access_token_expiry_minutes
        - access_token_template_content
        - post_logout_redirect_urls
        - bypass_consent_for_offline_access
        - creation_method
        - id_token_template_content
    api_connectedapps_v1_ResultsMetadata:
      type: object
      properties:
        total:
          type: integer
          format: int32
          description: >-
            The total number of results returned by your search query. If totals
            have been disabled for your Stytch Workspace to improve search
            performance, the value will always be -1.
        next_cursor:
          type: string
          description: >-
            The `next_cursor` string is returned when your search result
            contains more than one page of results. This value is passed into
            your next search call in the `cursor` field.
      required:
        - total
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````